# $Revision: 1.13 $, $Date: 2005/01/05 19:35:19 $
Summary:	A small Java Virtual Machine
Summary(pl):	Maa maszyna wirtualna Javy (JVM)
Name:		jamvm
Version:	1.2.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	b46e9d94d9d79156670740d3532fb727
Patch0:		%{name}-libdir.patch
Patch1:		%{name}-javadir.patch
Patch2:		%{name}-i786.patch
URL:		http://jamvm.sourceforge.net/
BuildRequires:	autoconf
Requires:	classpath >= 0.12
ExclusiveArch:	arm i486 i586 i686 pentium3 pentium4 athlon ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JamVM is a new Java Virtual Machine which conforms to the JVM
specification version 2 (blue book).  In comparison to most other
VM's (free and commercial) it is extremely small, with a stripped
executable on PowerPC of only ~110K, and Intel 80K.  However, unlike
other small VMs (e.g. KVM) it is designed to support the full
specification, and includes support for object finalisation, the
Java Native Interface (JNI) and the Reflection API.

%description -l pl
JamVM jest now maszyn wirtualn Javy (JVM) zgodn z 2 wersj
specyfikacji JVM (niebieska ksiga). W porwnaniu do wikszoci innych
VM (darmowych i komercyjnych) jest ekstremalnie maa, plik wykonywalny
zajmuje na PowerPC jedynie ~110 kB, na Intelu 80 kB. Tym niemniej, w
odrnieniu od innych maych VM (np. KVM) jest zaprojektowana, aby
obsugiwa pen specyfikacj, wczajc w to finalizacj obiektw,
Java Native Interface i Reflection API.

%package devel
Summary:	JNI development header file
Summary(pl):	Plik nagwkowy dla JNI
Group:		Development/Languages/Java

%description devel
Java Native Interface development header file.

%description devel -l pl
Plik nagwkowy dla Java Native Interface.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%{__aclocal}
%{__autoconf}

%configure \
	--with-classpath_install_dir=%{_prefix}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jamvm.spec,v $
Revision 1.13  2005/01/05 19:35:19  pluto
- updated to 1.2.3.
- release 1.

Revision 1.12  2004/10/21 09:52:26  qboosh
- rpm uses "ppc" not "powerpc" name; other archs not supported, missing code

Revision 1.11  2004/10/21 08:56:00  pluto
- exclusiveArch.

Revision 1.10  2004/10/20 20:42:27  pluto
- SourceX-size.

Revision 1.9  2004/10/20 19:20:40  pluto
- open libjava*.so.$major instead of libjava*.so

Revision 1.8  2004/10/14 17:17:17  pluto
- %%{_javadir} issue fixed.
- release 2.

Revision 1.7  2004/10/14 13:09:06  pluto
- pentium4 build fixed.

Revision 1.6  2004/10/14 10:06:24  pluto
- typos.

Revision 1.5  2004/10/13 21:26:31  pluto
- libdir issue fixed.
- release 1.

Revision 1.4  2004/10/09 14:23:44  pluto
- substantially rewritten the interpreter to use "stack-caching".
  this is an optimisation to eliminate most of the intermediate loads
  and stores to the operand stack. On desktop PowerPC (e.g. PPC750fx,
  MPC7447 with large, on-chip L2 cache at full processor speed)
  it achieves a speed increase of between 15 and 30%.
  on ARM (XScale PXA250) it achieves a speed-up of 50%.
  unfortunately, due to the addressing modes of the IA32 (Pentium, etc.)
  and the code produced by gcc, it is actually slower than
  the old interpreter!
  because of this, stack-caching is disabled by default on IA32.
- zip/jar support is implemented in the bootstrap class loader.
  this means glibj.zip no longer needs to be unzipped.
  this includes resources.
- fix for edge-conditions in floating-point to integer conversion
  (floating- point value greater than int/long range).
- fix for very large array allocation, where the required memory overflows
  a 32 bit int (fixes the SEGV with Mauve).
- fix for invokeinterface on an Object method (through an interface type).
- several other minor bug-fixes
  (e.g. ExceptionCheck was missed out of the JNI i/f table).

Revision 1.3  2004/09/05 06:09:02  pluto
- classpath deps added.

Revision 1.2  2004/09/04 10:58:29  saq
- use ISO 8859-2

Revision 1.1  2004/09/04 10:55:08  saq
- builds, doesn't work
